summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorKevin Brubeck Unhammer2015-07-14 10:23:46 +0200
committerKevin Brubeck Unhammer2015-07-14 10:23:46 +0200
commit98e7f2a86150d41653100c33322c815fad656d7a (patch)
tree1b9cc3c9d6ae639ac4bcd3e815249e1edafa9f01
downloadaur-apertium-tolk-svn.tar.gz
Initial import
-rw-r--r--.SRCINFO17
-rw-r--r--PKGBUILD36
2 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7aa02cf3436
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,17 @@
+pkgbase = apertium-tolk-svn
+ pkgdesc = apertium-tolk is a program that translates as you type, using Apertium
+ pkgver = 25848
+ pkgrel = 1
+ url = http://wiki.apertium.org/wiki/Apertium-tolk
+ arch = i686
+ arch = x86_64
+ license = GPL2
+ makedepends = automake
+ makedepends = autoconf
+ makedepends = intltool
+ depends = apertium-dbus
+ depends = python>=2.4
+ conflicts = apertium-tolk
+
+pkgname = apertium-tolk-svn
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..0d6d9073a8f
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,36 @@
+# Contributor: Kevin Brubeck Unhammer <unhammer@gmail.com>
+# Maintainer: Kevin Brubeck Unhammer <unhammer@gmail.com>
+pkgname=apertium-tolk-svn
+pkgver=25848
+pkgrel=1
+pkgdesc="apertium-tolk is a program that translates as you type, using Apertium"
+arch=('i686' 'x86_64')
+url="http://wiki.apertium.org/wiki/Apertium-tolk"
+license=('GPL2')
+depends=('apertium-dbus' 'python>=2.4')
+makedepends=('automake' 'autoconf' 'intltool')
+conflicts=('apertium-tolk')
+source=()
+md5sums=()
+
+_svntrunk=https://apertium.svn.sourceforge.net/svnroot/apertium/trunk/apertium-tolk
+_svnmod=apertium-tolk
+
+build() {
+ cd "$srcdir"
+
+ if [ "$(ls -A $_svnmod 2> /dev/null)" ]; then
+ (cd $_svnmod && svn update -r $pkgver) || return 1
+ else
+ svn co ${_svntrunk} ${_svnmod} -r ${pkgver} || return 1
+ fi
+
+ msg "SVN checkout done or server timeout"
+
+ cd ${srcdir}/${_svnmod}
+
+ sh autogen.sh
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR="$pkgdir/" install || return 1
+}